package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("报表-违纪名单返回对象")
public class ExamBreachListBean  implements Serializable {

	@ApiModelProperty(name = "考生id")
    private String examStudentId;

	@ApiModelProperty(name = "考试名称")
    private String examName;

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(name = "考试id")
    private Long examId;

	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "场次id")
    private Long examActivityId;

	@ApiModelProperty(name = "场次代码")
	private String examActivityCode;

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "唯一码")
    private String identity;
    
    @ApiModelProperty(name = "姓名")
    private String name;
    
    @ApiModelProperty(name = "科目名称")
    private String courseCode;
    
    @ApiModelProperty(name = "科目编码")
    private String courseName;
    
    @ApiModelProperty(name = "违纪状态")
    private String breachStatus;

	public String getExamActivityCode() {
		return examActivityCode;
	}

	public void setExamActivityCode(String examActivityCode) {
		this.examActivityCode = examActivityCode;
	}

	public String getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(String examStudentId) {
		this.examStudentId = examStudentId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public String getRoomName() {
		return roomName;
	}

	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getBreachStatus() {
		return breachStatus;
	}

	public void setBreachStatus(String breachStatus) {
		this.breachStatus = breachStatus;
	}
    
    
}
